<template>
    <div class="item-form">
        <div class="control-label">{{labelForm}}</div>
        <input :id="id" :type="type" :value="value" :disabled="disabled" :placeholder="placeholder" class="form-control" @input="onInput" ref="input">
    </div>
</template>

<script>
    export default {
        name: "formInput",
        props: {
            id: {
                required: false,
                type: String,
                default: ''
            },
            labelForm: {
                required: false,
                type: String,
                default: ''
            },
            type: {
                required: false,
                type: String,
                default: 'text'
            },
            placeholder: {
                required: false,
                type: String,
                default: ''
            },
            value: {
                required: false,
            },
            disabled: {
                required: false,
                type: Boolean,
            },
        },
        methods: {
            onInput() {
                if(this.type === 'number') {
                    this.$refs.input.value = this.$refs.input.value.replace(/[^\d]/g, '');
                }
                this.$emit('input', this.$refs.input.value)
            }
        }
    }
</script>

<style lang="scss" scoped>
    .item-form {
        width: calc(50% - 50px);
        margin-right: 10px;

        .control-label {
            font-weight: 600;
            line-height: 20px;
            font-size: 14px;
        }
        input {
            width: 100%;
            height: 35px;
            line-height: 35px;
            padding: 0 10px;
            border: 1px solid #cecece;
            border-radius: 5px;
            outline: none !important;
        }
    }
</style>